﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace BorderColor_CS
{
    class MyGrid : C1.Win.C1TrueDBGrid.C1TrueDBGrid
    {
        private Draw_Border borderDrawer = new Draw_Border();
        protected override void WndProc(ref Message m)
        {
            borderDrawer.DrawBorder(ref m, this.Width, this.Height);
            base.WndProc(ref m);
        }

        public Color BorderColor
        {
            get { return borderDrawer.BorderColor; }
            set
            {
                borderDrawer.BorderColor = value;
                int width = this.Width;
                this.Width = ((int)((Double)(this.Width) - 0.01));
                this.Width = width;
            }
        }
    }
}
